Results 1 to 3 of 3

Thread: w3m: Can't load

  1. #1
    Join Date
    Jan 2009
    Beans
    1
    Distro
    Ubuntu 9.04 Jaunty Jackalope

    w3m: Can't load

    Hello,

    I got this message when traing to install Firefox with Ubuntuzilla. What I can do?


    Code:
    Welcome to the Ubuntuzilla Firefox script version 4.6.0
    
    Ubuntuzilla is built only for Ubuntu Linux and other distributions derived from Ubuntu (such as Linux Mint, e.g.)
    
    This script will now install the latest release of the official Mozilla build of Firefox on your Linux system. If you run into any problems using this script, or have feature requests, suggestions, or general comments, please visit our website at http://ubuntuzilla.sourceforge.net/
    
    Retrieving the version of the latest release of Firefox from the Mozilla website...
    The most recent release of Firefox is detected to be 3.0.5. Please make sure this is correct before proceeding. (You can confirm by going to http://www.mozilla.org/)
    If no version number shows, if the version shown is not the latest, or if you would like to install an older release, press 'n', and you'll be given the option to enter the version manually. Otherwise, press 'y', and proceed with installation. [y/n]?
    Please enter 'y' or 'n': y
    Retrieving list of available localizations for Firefox ...
    Traceback (most recent call last):
      File "/usr/local/bin/ubuntuzilla.py", line 1146, in <module>
        bs.start()
      File "/usr/local/bin/ubuntuzilla.py", line 209, in start
        fi.start()
      File "/usr/local/bin/ubuntuzilla.py", line 236, in start
        self.install()
      File "/usr/local/bin/ubuntuzilla.py", line 597, in install
        self.getLocalizationList()
      File "/usr/local/bin/ubuntuzilla.py", line 309, in getLocalizationList
        self.locList = self.util.getSystemOutput(executionstring="w3m -dump ftp://" + mirror + self.options.package + "/releases/" + self.releaseVersion + "/linux-i686/ |grep '\. \. \.' |grep -v 'xpi'", numlines=0)
      File "/usr/local/bin/ubuntuzilla.py", line 110, in getSystemOutput
        if re.match("w3m: Can't load", result[0]):
    IndexError: list index out of range
    thx
    vitality1987

  2. #2
    Join Date
    Jan 2006
    Location
    Philadelphia
    Beans
    4,072
    Distro
    Ubuntu 8.10 Intrepid Ibex

    Re: w3m: Can't load

    hi
    hmm... could you try again? could have been a transient network error...

  3. #3
    Join Date
    Jan 2006
    Location
    Philadelphia
    Beans
    4,072
    Distro
    Ubuntu 8.10 Intrepid Ibex

    Re: w3m: Can't load

    regardless of whether it was a transient network error or not, i realized that the script should handle the possibility of empty w3m output, so i released an update that properly takes that possibility into account. so, go to the project homepage and download the latest release, v 4.6.1, and give it a shot.

    thanks for your feedback

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •